<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.lindosoft.android.tongue"
    android:installLocation="auto"
    android:versionCode="15"
    android:versionName="2.5">
<!--
- 15

- 14 (pro)
- use target sdk version 29

- 13
- replace lindoutil by lindocommon

- 12
- add .nomedia file
- read and write both use UTF-8 now (improved handling of special characters)
- reverse tongue menu item swaps problem and answer in edit files view

- 11
- add automatic folder name
- display drawing in folder list
- add folder drawing
- display drawing in problem/answer list
- switch to standard list context menu
- add default up navigation

- 10
- add problem/answer drawing
- split edit problem/answer on two screens
- omit problem/answer name if empty

- 9
- add loop (repetition)
- add settings dialog
- omit wake lock.
- enable (but do not prefer) installation on external sdcard.
- add cancel dialog to remove folder and remove file.

- 8
- sort files during read and write.
- change wording from native/foreign to problem/answer.
- resize application icon.
- change text size to scaled pixels.
- prefer installation on external sdcard.

- 7
- click to rotate screen.
- use sort 2s as default preset.
 
- 6
- complete facelift.
- require api level 11.
- switch from audio/image to video.
-->
<uses-feature android:name="android.hardware.camera" />
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
<uses-sdk android:minSdkVersion="15" android:targetSdkVersion="29"/>
<application
    android:label="@string/label_application"
    android:icon="@drawable/lindotongue"
    android:theme="@style/lindo"
>
  <activity android:name="Main" android:label="@string/label_main">
    <intent-filter>
      <action android:name="android.intent.action.MAIN" />
      <category android:name="android.intent.category.LAUNCHER" />
    </intent-filter>
  </activity>
  <activity android:name=".FoldersEdit" android:label="@string/label_folders_edit"/>
  <activity android:name=".FoldersForeign" android:label="@string/label_folders_foreign"/>
  <activity android:name=".FoldersNative" android:label="@string/label_folders_native"/>
  <activity android:name=".Settings" android:label="@string/label_settings"/>
  <activity android:name=".TongueEdit" android:label="@string/label_tongue_edit"/>
  <activity android:name=".TonguesEdit" android:label="@string/label_tongues_edit"/>
  <activity android:name=".TonguesForeign"
    android:label="@string/label_tongues_foreign"
    android:configChanges="keyboardHidden|orientation"
  />
  <activity android:name=".TonguesNative"
    android:label="@string/label_tongues_native"
    android:configChanges="keyboardHidden|orientation"
  />
</application>
</manifest>
